#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/init.h>
static char __initdata hellomessage[] = KERN_NOTICE "Hello, world!\n";
static char __exitdata byemessage[] = KERN_NOTICE "Goodbye, cruel world.\n";

static int __init start_hello_world(void)
{
   printk(hellomessage);
   return 0;
}

static void __exit go_away(void)
{
   printk(byemessage);
}

module_init(start_hello_world);
module_exit(go_away);
